View Issue Details

IDCategoryLast Update
0008543features2021-01-18 22:37
ReporteratsampsonAssigned Tox42 
ReproducibilityN/A 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0008543: Allow OSC /add_marker to specify the marker's name
DescriptionThe OSC /add_marker message adds an unnamed marker at the moment. I'd like to be able to specify the marker's name.

My patch for this is attached - it just adds a third version of /add_marker which takes a string parameter. It would also be possible to add a fourth version that takes both a position and a name, but I don't have a use for that myself - I can update the patch if you'd like the symmetry, though.

I've been using this since last year as part of a presentation recording setup. I've configured a slide viewer to send OSC messages on page changes, so I get a "page 42" marker at each slide transition, then I have a script (http://offog.org/git/misccode/ardour-slides-to-video) which reads the Ardour project and slides PDF, and renders out a video file.
TagsNo tags attached.

Activities

atsampson

2021-01-15 20:49

reporter  

markerosc.diff (1,429 bytes)
Add an OSC message that creates a marker with a given name.

--- 6.0-rc1/libs/surfaces/osc/osc.cc	2020-05-12 16:28:40.000000000 +0100
+++ 6.0-rc1/libs/surfaces/osc/osc.cc	2020-05-12 16:32:59.539041629 +0100
@@ -435,6 +435,7 @@
 		REGISTER_CALLBACK (serv, X_("/surface/list"), "f", surface_list);
 		REGISTER_CALLBACK (serv, X_("/add_marker"), "", add_marker);
 		REGISTER_CALLBACK (serv, X_("/add_marker"), "f", add_marker);
+		REGISTER_CALLBACK (serv, X_("/add_marker"), "s", add_marker_name);
 		REGISTER_CALLBACK (serv, X_("/access_action"), "s", access_action);
 		REGISTER_CALLBACK (serv, X_("/loop_toggle"), "", loop_toggle);
 		REGISTER_CALLBACK (serv, X_("/loop_toggle"), "f", loop_toggle);
--- 6.0-rc1/libs/surfaces/osc/osc.h	2020-05-12 16:28:40.000000000 +0100
+++ 6.0-rc1/libs/surfaces/osc/osc.h	2020-05-12 16:31:26.400215284 +0100
@@ -343,6 +343,10 @@
 	void transport_speed (lo_message msg);
 	void record_enabled (lo_message msg);
 
+	void add_marker_name(const std::string &markername) {
+		add_marker(markername);
+	}
+
 	// cue
 	Sorted cue_get_sorted_stripables(boost::shared_ptr<ARDOUR::Stripable> aux, uint32_t id, lo_message msg);
 	int cue_parse (const char *path, const char* types, lo_arg **argv, int argc, lo_message msg);
@@ -483,6 +487,7 @@
 	}
 
 	PATH_CALLBACK1(set_transport_speed,f,);
+	PATH_CALLBACK1(add_marker_name,s,&);
 	PATH_CALLBACK1(access_action,s,&);
 
 	PATH_CALLBACK1(jump_by_bars,f,);
markerosc.diff (1,429 bytes)

x42

2021-01-18 22:37

administrator   ~0025436

Patch applied as Ardour 6.5-146-g8386874a03. Thank you!

Issue History

Date Modified Username Field Change
2021-01-15 20:49 atsampson New Issue
2021-01-15 20:49 atsampson File Added: markerosc.diff
2021-01-18 22:37 x42 Note Added: 0025436
2021-01-18 22:37 x42 Assigned To => x42
2021-01-18 22:37 x42 Status new => resolved
2021-01-18 22:37 x42 Resolution open => fixed